import request from '@/utils/httpRequest'

export default class ProjectReportService {
  list (params) {
    return request({
      url: '/cwProjectReport/list',
      method: 'get',
      params: params
    })
  }
  saveForm (inputForm) {
    return request({
      url: `/cwProjectReport/saveForm`,
      method: 'post',
      data: inputForm
    })
  }
  updateStatusById (data) {
    return request({
      url: '/cwProjectReport/updateStatusById',
      method: 'post',
      data: data
    })
  }
  queryById (id) {
    return request({
      url: '/cwProjectReport/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  delete (ids) {
    return request({
      url: '/cwProjectReport/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
  clineList (params) {
    return request({
      url: '/cwProjectReport/clineList',
      method: 'get',
      params: params
    })
  }
}
